const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  publicPath: './',
  css: {
    loaderOptions: {
      less: {
        lessOptions: {
          modifyVars: {
            // 自定义主题色
            'primary-color': '#1989fa',
            'success-color': '#07c160',
            'warning-color': '#ff976a',
            'danger-color': '#ee0a24'
          },
          javascriptEnabled: true
        }
      },
      postcss: {
        postcssOptions: {
          plugins: [
            require('postcss-pxtorem')({
              rootValue: 37.5,
              propList: ['*']
            })
          ]
        }
      }
    }
  }
}) 